selfsignedcert
==============

Generate a self-signed certificate for any TLS(SSL) service, with passwordless key

Requirements
------------

None

Role Variables
--------------

- selfsignedcert_basename (undefined): Relative(!) path and name of key, CSR and cert
- selfsignedcert_suffix_key (defaults): "key"
- selfsignedcert_suffix_csr (defaults): "csr.pem"
- selfsignedcert_suffix_crt (defaults): "crt.pem"
- selfsignedcert_suffix_combined (defaults): "pem" - set to False to disable combined key/cert file
- selfsignedcert_keysize: Default: 2048
- selfsigned_cn: Common name of certificate, default: ansible_hostname
- selfsigned_san: List of SubjectAltNames, default: empty list

Dependencies
------------

- None

Example Playbook
----------------

    - hosts: localhost
      roles:
         - role: selfsignedcert
           selfsignedcert_basename: ./example-cert

License
-------

GPL-2.0-or-later

Author Information
------------------

- Sven Velt - <sven-ansiblerole@velt.biz>
- https://git.velt.biz/

